Draft Ellipse
|
Menu location |
---|
Drafting → Ellipse |
Workbenches |
Draft, Arch |
Default shortcut |
E L |
Introduced in version |
0.7 |
See also |
None |
Description
The Draft Ellipse command creates an ellipse in the current working plane from two points defining a rectangle in which the ellipse will fit.
A Draft Ellipse can be turned into an elliptical arc by setting its DataFirst Angle and DataLast Angle properties to different values.
Ellipse defined by the corners of a rectangle
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- Press the
Draft Ellipse button.
- Select the Drafting →
Ellipse option from the menu.
- Use the keyboard shortcut: E then L.
- Press the
- The Ellipse task panel opens. See Options for more information.
- Pick the first point in the 3D view, or type coordinates and press the
Enter point button.
- Pick the second point in the 3D view, or type coordinates and press the
Enter point button. This point must not be constrained to the X, Y or Z axis.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
- Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created ellipse will have DataMake Face set to
true
and will have a filled face. - Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating ellipses.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Notes
- A Draft Ellipse can be edited with the Draft Edit command.
Preferences
See also: Preferences Editor and Draft Preferences.
- To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
- To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
- If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse.
Properties
See also: Property editor.
A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DataArea (
Area
): (read-only) specifies the area of the face of the ellipse. The value will be0.0
if DataMake Face iffalse
or the face cannot be created. - DataFirst Angle (
Angle
): specifies the angle of the first point of the ellipse, normally0°
. - DataLast Angle (
Angle
): specifies the angle of the last point of the ellipse, normally0°
. - DataMajor Radius (
Length
): specifies the major radius of the ellipse. - DataMake Face (
Bool
): specifies if the ellipse makes a face or not. If it istrue
a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse. - DataMinor Radius (
Length
): specifies the minor radius of the ellipse.
View
Draft
- ViewPattern (
Enumeration
): specifies the Draft Pattern with which to fill the face of the ellipse. This property only works if DataMake Face istrue
and if ViewDisplay Mode isFlat Lines
. - ViewPattern Size (
Float
): specifies the size of the Draft Pattern.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Ellipse use the make_ellipse
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeEllipse
method.
ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
- Creates an
ellipse
object with given major (majradius
) and minor (minradius
) radius in millimeters.- The bigger value will be used for the major radius (X axis) if no other placement is given.
- If
placement
isNone
the ellipse is created at the origin. - If
face
isTrue
, the ellipse will make a face, that is, it will appear filled.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)
zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))
ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub